Bug 622732 - [abrt] crash in gummi-0.4.5-1.fc12: PreviewPane.py:154:on_expose:GError: No such file or directory
Summary: [abrt] crash in gummi-0.4.5-1.fc12: PreviewPane.py:154:on_expose:GError: No s...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gummi (Show other bugs)
(Show other bugs)
Version: 12
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3ab330b1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-10 09:41 UTC by jendrik
Modified: 2010-08-31 06:36 UTC (History)
1 user (show)

Fixed In Version: gummi-0.4.8-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 06:27:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (711 bytes, text/plain)
2010-08-10 09:41 UTC, jendrik
no flags Details

Description jendrik 2010-08-10 09:41:48 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gummi
component: gummi
executable: /usr/bin/gummi
kernel: 2.6.32.16-150.fc12.i686
package: gummi-0.4.5-1.fc12
reason: PreviewPane.py:154:on_expose:GError: No such file or directory
release: Fedora release 12 (Constantine)

backtrace
-----
PreviewPane.py:154:on_expose:GError: No such file or directory

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gummi/PreviewPane.py", line 154, in on_expose
    document = poppler.document_new_from_file(uri, None)
GError: No such file or directory

Local variables in innermost frame:
drawarea: <gtk.DrawingArea object at 0xa20766c (GtkDrawingArea at 0xa1250e0)>
view_width: 944
view_ratio: 1.1132075471698113
self: <gummi.PreviewPane.PreviewPane instance at 0xa2095ec>
uri: 'file:///tmp/tmp7UgOzP.pdf'
view_height: 848
vp_size: gtk.gdk.Rectangle(973, 93, 944, 848)
cr: <gtk.gdk.CairoContext object at 0xa0a9aa0>
data: <gtk.gdk.Event at 0xa1aa350: GDK_EXPOSE area=[0, 0, 942, 846]>

Comment 1 jendrik 2010-08-10 09:41:51 UTC
Created attachment 437823 [details]
File: backtrace

Comment 2 Fedora Update System 2010-08-17 19:51:30 UTC
gummi-0.4.8-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gummi-0.4.8-2.fc13

Comment 3 Fedora Update System 2010-08-17 19:51:40 UTC
gummi-0.4.8-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gummi-0.4.8-2.fc12

Comment 4 Fedora Update System 2010-08-20 02:23:48 UTC
gummi-0.4.8-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gummi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gummi-0.4.8-2.fc13

Comment 5 Fedora Update System 2010-08-31 06:27:32 UTC
gummi-0.4.8-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-08-31 06:35:55 UTC
gummi-0.4.8-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.